```{eval-rst}
.. image:: ../../images/cropped-plus3it-logo-cmyk.png
   :width: 140px
   :alt: Powered by Plus3 IT Systems
   :align: right
   :target: https://www.plus3it.com
```
<br>

# Windows Log-Files

When using `watchmaker` on Windows servers, the primary log-files of interest are:

```{toctree}
:maxdepth: 1
c_watchmaker_logs_watchmaker.log.md
c_watchmaker_logs_salt_call.debug.md
```

There can be other files in the `c:\watchmaker\logs\` directory, but the ones present will depend on what enterprise-integration features have been selected for `watchmaker` to attempt to execute and whether those integrations are configured to log independently.

There may be further log-files of interest, depending on how much execution-progress `watchmaker` has made and how `watchmaker` has been invoked. These will typically vary by build environment (e.g., when used with a CSP like Azure or AWS, on a physical server or a VM) and what tooling was used to invoke watchmaker.

The additional log-files of interest are typically generated by whatever Windows-specific userData payload-handler is leveraged. The known additonal log-files of interest will be enumerated in further sub-sections. If you are using watchmaker via userData payload and the handler is not enumerated below, please contribute to this project's documentation.

## AWS:

When official Windows instances &ndash; ones published through the Amazon/Microsoft partnership &ndash; are launched into AWS and execute watchmaker via a userData payload, either of the following log files will be created:

- `C:\ProgramData\Amazon\EC2Launch\log\agent.log` (_see: ["EC2Launch" discussion-document](c_amazon_EC2Launch_Log_UserdataExecution.log.md)_)
- `C:\ProgramData\Amazon\EC2-Windows\Launch\Log\UserdataExecution.log` (_see: ["EC2Launch v2" discussion- document](c_amazon_EC2Launch_v2_Log_UserdataExecution.log.md)_)

_Which_ log file gets created will depend on the userData-handler used. Older versions of Windows Server (2012, 2016 and 2019) typically use the EC2 Launch handler. Newer versions of Windows Server (2022) use the EC2 v2 Launch-handler[^1].


```{toctree}
:maxdepth: 1
:hidden:
c_amazon_EC2Launch_Log_UserdataExecution.log.md
c_amazon_EC2Launch_v2_Log_UserdataExecution.log.md
```

[^1]: Since the introduction of the EC2 v2 Launch-handler, official Windows Server AMIs for Server 2012, 2016 and 2019 have been being published. However, they are not the current default (as of the writing of this document). See the link to the EC2 v2 Launch discussion-document for details and caveats.
